Subject: Re: RCS and absolute file parameter
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 15 May 2002 09:02:26 -0400

On Wed, May 15, 2002 at 09:03:58AM +0000, Davide Montesin wrote:
>Hi,
>
>I have installed cygwin on my 
>Windows machine.
>I use rcs. I have found
>a problem.
>Some time I will use rcs with
>absolute parameter in windows format
>like:
>
>ci -d -u -x,v c:\temp\a.txt c:\temp\RCS\a.txt,v
>
>but the command report an error:
>
>file RCS/c:\temp\a.txt not found.
>
>The problem is that the path is not
>converted like unix before the substitution.
>
>If I use a unix path like
>
>ci -d -u -x,v /cygdrive/c/temp/a.txt /cygdrive/c/temp/RCS/a.txt,v"
>
>all work ok!
>
>There is a patch??

No.

>This is a bug??

No.

Cygwin is a UNIX emulation layer for Windows.  The whole point of the
product is to avoid MS-DOS path names.  However, some programs are
forgiving and deal with them more or less correctly.  RCS is,
apparently, not one of them.

See also:
http://cygwin.com/lists.html#see-above

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/